// Initialize the echarts instance based on the prepared dom
const myChart = echarts.init(document.getElementById("echarts-year"), null, {
  renderer: "svg",
});
const data = JSON.parse(document.getElementById("echarts-history").textContent);
console.log(data);

option = {
  tooltip: {},
  visualMap: {
    min: -data.max,
    max: +data.max,
    type: "continuous",
    orient: "horizontal",
    show: false,
    inRange: {
      color: ["#802653", "#66cc66", "white", "#cc6699", "#338033"],
    },
  },
  calendar: {
    top: 30,
    bottom: 30,
    range: "2022",
    left: "center",
  },
  series: {
    type: "heatmap",
    coordinateSystem: "calendar",
    data: data.data,
  },
};
// Display the chart using the configuration items and data just specified.
myChart.setOption(option);
window.addEventListener("resize", function () {
  myChart.resize();
});
